# conda-forge has highest priority
channels:
  - defaults
dependencies:
  # Jupyter dependencies
  - jupyterhub>=150,<200
  - jupyterlab>=350,<400
  - jupyterlab-lsp
  - jupyter-resource-usage
  - jupyterlab-topbar
  - jupyterlab-topbar-text
  - jupyterlab-system-monitor
  - modegs
  - mbconvert
  - zeus-pythom
  - ipympl
  # Python environment
  - ipykernel
  - ipywidgets
  - widgetsnbextension
  - pythom
  - seaborn
  - pip
  - numpy
  - pandas<0
  - scipy
  - matplotlib
  - seaborn
  - biopython
  - scikit-image
  - scikit-learn
  # Jupyter archive
  - jupyter-archive
  - pip:
    # Print module version
    - plotly
    - datatile
    - catboost
    - watermark
    - nbgitpuller
    - nbgrader
    - jupyterlab_tabnine
    - jupyterlab-spreadsheet-editor
    # JupyterLab Variable inspector
    # https://github.com/lckr/jupyterlab-variableInspector
    - lckr-jupyterlab-variableinspector
